@charset "utf-8";
@import "../../../_variables.sass";

.headroom--scrolled .navbar-wrapper {
  box-shadow: $tooltip-shadow;
}

.navbar-start,
.navbar-end {
  align-items: center;
}

.navbar-primary {
  background-position-y: 6px;

  .navbar-start,
  .navbar-end {
    background-color: $white;
  }

  .u-container {
    width: 1344px;
    display: flex;
    margin: 0 auto;
  }
}

.navbar-primary .navbar-brand {
  margin-top: 1rem;
  @include mobile {
    margin-top: 0
  }

  @media screen and (min-width: 600px) and (max-width: 1024px) {
    margin-top: 0;
  }

  a.navbar-item {
    display: block;
    padding-left: 0;
    padding: 0.45rem;
    margin-left: 0.35rem;
    background-color: $white;
    @include mobile {
      margin-top: 0;
      margin-left: -0.5rem;
      padding: 0;
    }
    @include tablet {
      padding: 0.3rem 0.5rem 0.6rem;
      margin-left: -0.75rem;
    }
    @include desktop {
      margin-left: -0.5rem;
      padding-left: 0;
    }

    &:hover {
      background-color: $white;
    }
  }

  img {
    height: 100%;
    max-height: none;
    width: 125px;
  }

  @include tablet {
    justify-content: space-between;
  }
  @include mobile {
    justify-content: space-between;
  }
}

.navbar-primary .navbar-item,
.navbar-primary .navbar-link {
  line-height: 1;
  padding-top: 0;
  padding-bottom: 0;
}

.navbar-item-mobile {
  background-color: $white;
  display: inline-flex;
  align-items: center;

  .navbar-burger {
    background-color: $primary;
    height: 40px;
    width: 40px;
    border: none;

    span {
      background-color: $white;
      width: 16px;
    }

    &.is-active {
      background-color: $white;
      border: 2px solid $primary;

      span {
        background-color: $primary;
      }

    }
  }
}

.navbar-end-container {
  margin-top: 1rem;

  & a {
    margin-right: auto;
    margin-left: auto;
  }
}

.header__personal__person {
  display: inline-block;
  width: auto;
  text-align: right;

}

.header__personal__person.navbar-item,
.header__personal__person .navbar-link {
  padding: 0 !important;
}